package intrinsic.mx.managers;

public interface IDragManager {

	/** Accessors */
//	public boolean isDragging;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public void showFeedback(String arg0);
public void acceptDragDrop(intrinsic.mx.core.IUIComponent arg0);
public String getFeedback();
public void endDrag();
public void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2);
public void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3);
public void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3, double arg4);
public void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3, double arg4, double arg5);
public void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3, double arg4, double arg5, double arg6);
public void doDrag(intrinsic.mx.core.IUIComponent arg0, intrinsic.mx.core.DragSource arg1, intrinsic.flash.events.MouseEvent arg2, intrinsic.mx.core.IFlexDisplayObject arg3, double arg4, double arg5, double arg6, boolean arg7);

}
